package com.ss.android.ugc.aweme.journey;

import X.8Zb;
import X.8ed;
import android.app.Activity;
import android.content.Context;
import com.bytedance.covode.number.Covode;

public interface INewUserMainModuleService {
    static {
        Covode.recordClassIndex(88745);
    }

    8Zb LIZ(8ed r1);

    Class<? extends Activity> LIZ();

    void LIZ(Context context, boolean z);

    void LIZ(String str);

    Class<? extends Activity> LIZIZ();

    boolean LIZJ();

    8Zb LIZLLL();

    Class<? extends Activity> LJ();

    void LJFF();
}
